Subject: Re: Switching from CVS to GIT

From: Johannes Sixt <[email-masked]>
Date: Mon, 15 Oct 2007 14:31:01 +0200

Eli Zaretskii schrieb:
>> Date: Mon, 15 Oct 2007 09:47:25 +0100 (BST)
>> From: Johannes Schindelin <[email-masked]>
>> cc: Steffen Prohaska <[email-masked]>, [email-masked], 
>>     [email-masked], [email-masked], [email-masked], [email-masked]
>>
>> If you could make Git compile with Visual C++, that would be fabulous.
> 
> I prefer GCC (the MinGW port), but without the MSYS ports of
> additional tools.  I use the GnuWin32 ports augmented by some of my
> own (where GnuWin32 ports are buggy or terribly slow).

They should work, too. If a tool is missing, ought to notice it soon enough.

These are important to note, though:

- The tools must not do their own LF->CRLF conversion when they are used in 
a pipeline, "just because they know it better".

- GNU tar is needed (in the cpio emulator).

- ln must be able to create hard links on NTFS or do the equivalent of
cp -p

- GNU cp -al will be needed and should create hard links on NTFS. (I plan to 
use it for local clones in place of cpio -pl.)

Any feedback on how git works for you with these tools is appreciated.

-- Hannes